## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ICUBridgeCollationCompareFunctor Class Reference

Inheritance diagram for ICUBridgeCollationCompareFunctor:

[legend]
Collaboration diagram for ICUBridgeCollationCompareFunctor:

[legend]
List of all members.

## Public Member Functions

- ICUBridgeCollationCompareFunctor (MemoryManagerType &theManager, bool fCacheCollators=false)
    Constructor.
- virtual ~ICUBridgeCollationCompareFunctor ()
- virtual int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, XalanCollationServices::eCaseOrder theCaseOrder=XalanCollationServices::eDefault) const
- virtual int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, const XalanDOMChar *theLocale, XalanCollationServices::eCaseOrder theCaseOrder=XalanCollationServices::eDefault) const

## Static Public Member Functions

- ICUBridgeCollationCompareFunctor * create (MemoryManagerType &theManager, bool fCacheCollators=false)

## Constructor & Destructor Documentation

ICUBridgeCollationCompareFunctor::ICUBridgeCollationCompareFunctor | ( | MemoryManagerType & | theManager,
|  | bool | fCacheCollators = false
| ) |

  | Constructor. Parameters:
  fCacheCollators | If true, the instance will cache collators. This is not thread-safe, so each thread must have its own instance.

virtual ICUBridgeCollationCompareFunctor::~ICUBridgeCollationCompareFunctor | ( |  | ) | `[virtual]`

## Member Function Documentation

ICUBridgeCollationCompareFunctor* ICUBridgeCollationCompareFunctor::create | ( | MemoryManagerType & | theManager,
|  | bool | fCacheCollators = false
| ) | `[static]`

virtual int ICUBridgeCollationCompareFunctor::operator() | ( | const XalanDOMChar * | theLHS,
|  | const XalanDOMChar * | theRHS,
|  | const XalanDOMChar * | theLocale,
|  | XalanCollationServices::eCaseOrder | theCaseOrder = XalanCollationServices::eDefault
| ) | const`[virtual]`

virtual int ICUBridgeCollationCompareFunctor::operator() | ( | const XalanDOMChar * | theLHS,
|  | const XalanDOMChar * | theRHS,
|  | XalanCollationServices::eCaseOrder | theCaseOrder = XalanCollationServices::eDefault
| ) | const`[virtual]`

The documentation for this class was generated from the following file:

- ICUBridgeCollationCompareFunctor.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.